Package org.eclipse.debug.ui.stringsubstitution

## Interface IArgumentSelector

    public interface IArgumentSelector

A variable presentation extension can contribute an argument selector which is use to configure the argument for a string substitution variable.

Since:
  3.9

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `selectArgument​(IStringVariable variable, Shell shell)` Selects and returns an argument for the given variable, or `null` if none.

### Method Detail

#### selectArgument

    String selectArgument​(IStringVariable variable,
                          Shell shell)

Selects and returns an argument for the given variable, or `null` if none.

Parameters:
  `variable` - the variable an argument is being selected for
  `shell` - the shell to create any dialogs on, or `null` if none
Returns:
  argument for the given variable or `null` if none